package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;

/**
 * 审核原因表
 */
@TableName("audit_reason")
@ApiModel(value = "AuditReason对象", description = "审核原因表")
public class AuditReason implements Serializable {
	private static final long serialVersionUID = 1L;
    @ApiModelProperty("id ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("审核原因 ")
	@TableField(value = "name_")
    @Size(max = 50,message = "话术最长50个字")
    private String name;
    @ApiModelProperty("审核原因分类 TEACHER: 达人认证，MUSIC:乐谱审核/下架，VIDEO:视频课审核/下架，STYLE：个人风采审核，LIVE:直播课下架")
	@TableField(value = "type_")
    private String type;
    @ApiModelProperty("假删标识（0：正常，1：删除） ")
	@TableField(value = "del_flag_")
    private Boolean delFlag;
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    @ApiModelProperty("更新时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;
    @ApiModelProperty("更新人(后台平台用户) ")
	@TableField(value = "update_by_")
    private Long updateBy;
    @ApiModelProperty("创建人(后台平台用户) ")
	@TableField(value = "create_by_")
    private Long createBy;

	public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    
	public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    
	public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    
	public Boolean getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Boolean delFlag) {
        this.delFlag = delFlag;
    }
    
	public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
	public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
	public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }
    
	public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }
    
}